package test.org.itscool.stylist.io;

import java.io.BufferedReader;
import java.io.ByteArrayOutputStream;
import java.io.FileReader;

import junit.framework.TestCase;

import org.itscool.stylist.io.HtmlConfigReader;
import org.itscool.stylist.tag.HtmlRootTag;

public class HtmlConfigReaderTest4 extends TestCase{
    public void testParseSuccess1(){
        System.out.println("***************** testParseSuccess1 **********************");
        HtmlConfigReader reader = new HtmlConfigReader();
        HtmlRootTag html = new HtmlRootTag("Shift_JIS");
        try{
            reader.create("j2src/test/test/org/itscool/stylist/io/Sample4.html", html);
            System.out.println(html.toString(1, " "));
        }catch(Exception e){
            fail(e.getMessage());
            e.printStackTrace();
        }
    }
}
